//   ------------------------------------------------------------------------------------------------------------------------------------------------------
//    Serif PagePlus 7.0, Copyright 2000 Serif, inc All Rights Reserved
//   ------------------------------------------------------------------------------------------------------------------------------------------------------
//
//    FILENAME     : PP7-miscfunctions.js 
//    FACILITY     : PagePlus 7 API
//    LOCALIZATION : English
//    LANGUAGE     : JavaScript 1.2+
//    AUTHOR       : Rob Nicholls
//    DATE         : 15 August 2000  
//    VERSION      : 1.0
//    REVISION     : NA
//
//   ------------------------------------------------------------------------------------------------------------------------------------------------------




	// ================================================================================================================================================

	// FUNCTION	: update()
	// DESCRIPTION	: Updates the powerfield 'Label' with the new value 'newText'
	// PARAMETERS	: Section - DrawObject Label (not used) 
	//		  Label   - Char *Powerfield name
	//   		  newText - Char *new value
	// RETURN VALUE	: TRUE    - Powerfield updated successfully
	//		  FALSE	  - Powerfield doesn't exist
	// CHANGES	: the document
	// AUTHOR	: Rob Nicholls

	// ================================================================================================================================================

	function update( Section, Label, newText ) {

		var returnVAL;

		// Replace the wizard string with the new value
		returnVAL=theDocument.ReplacePowerField( Label, newText );

		// Update values container
		UpdateWizardDefaults();


		return returnVAL;
	}


	// ================================================================================================================================================

	// FUNCTION	: RetrievePowerField()
	// DESCRIPTION	: Retrieves the powerfield 'Label' from the document into the 'StrPtr' container
	// PARAMETERS	: Label   - Char *Powerfield name
	//   		  StrPtr - Char *container
	// RETURN VALUE	: TRUE    - Powerfield updated successfully
	//		  FALSE	  - Powerfield doesn't exist
	// CHANGES	: the document
	// AUTHOR	: Rob Nicholls
	
	// ================================================================================================================================================

	function RetrievePowerField( Label, StrPtr ) {

		var returnVAL;

		// Replace the wizard string with the new value
		StrPtr = theDocument.GetPowerField( Label );

		//alert(Label+"="+StrPtr);

		//if(StrPtr==FIELDNOTFOUND) returnVAL = FALSE;
		//else returnVAL = TRUE;
		//return returnVAL;

		return StrPtr;
	}


	// ================================================================================================================================================

	// FUNCTION	: LoadBusinessDetailsToContainer()
	// DESCRIPTION	:
	// PARAMETERS	: NA
	// RETURN VALUE	:
	// CHANGES	:
	// AUTHOR	: Rob Nicholls

	// ================================================================================================================================================

	function LoadBusinessDetailsToContainer() {

		var Businessinfo				= theApplication.UserBusinessDetails;

		// Business Details
		document.businessdetailsform.company.value	= Businessinfo.BusinessName;
		document.businessdetailsform.caddress1.value	= Businessinfo.GetAddressLine(1);
		document.businessdetailsform.caddress2.value	= Businessinfo.GetAddressLine(2);
		document.businessdetailsform.caddress3.value	= Businessinfo.GetAddressLine(3);
		document.businessdetailsform.caddress4.value	= Businessinfo.GetAddressLine(4);

		document.businessdetailsform.cmotto.value	= Businessinfo.Motto;			
		document.businessdetailsform.cwebsite.value	= Businessinfo.Web;
		document.businessdetailsform.cjob.value		= Businessinfo.Job;
		document.businessdetailsform.cphone.value	= Businessinfo.Phone;
		document.businessdetailsform.cfax.value		= Businessinfo.Fax;
		document.businessdetailsform.cemail.value	= Businessinfo.Email;

		return;
	}


	function LoadBusinessDetailsToDocument() {

		// Initilize the strings in the document to match the retrieved user details			
		if(update('Company name','company name',document.businessdetailsform.company.value)==0)
			document.businessdetailsform.company.value	= NOTREQUIRED;

		if(update('Address details','Address line 1',document.businessdetailsform.caddress1.value)==0) 
			document.businessdetailsform.caddress1.value	= NOTREQUIRED;
		else {
			update('Address details','Address line 2',document.businessdetailsform.caddress2.value);
			update('Address details','Address line 3',document.businessdetailsform.caddress3.value);
			update('Address details','Address line 4',document.businessdetailsform.caddress4.value);
		}

		if(update('Address details','Slogan/motto',document.businessdetailsform.cmotto.value)==0)
			document.businessdetailsform.cmotto.value	= NOTREQUIRED;

		if(update('Address details','Telephone number',document.businessdetailsform.cphone.value)==0)
			document.businessdetailsform.cphone.value	= NOTREQUIRED;

		if(update('Address details','Fax number',document.businessdetailsform.cfax.value)==0)
			document.businessdetailsform.cfax.value	= NOTREQUIRED;

		if(update('Address details','E-mail',document.businessdetailsform.cemail.value)==0)
			document.businessdetailsform.cemail.value	= NOTREQUIRED;

		if(update('Address details','Web Site URL',document.businessdetailsform.cwebsite.value)==0)
			document.businessdetailsform.cwebsite.value	= NOTREQUIRED;

		if(update('Address details','Job Title',document.businessdetailsform.cjob.value)==0)
			document.businessdetailsform.cjob.value	= NOTREQUIRED;

		if(update('Address details','Mobile number',document.userdetailsform.mobile.value)==0)
			document.userdetailsform.mobile.value	= NOTREQUIRED;

		return;
	}


	function LoadBusinessWebDetailsToDocument() {

		// Initilize the strings in the document to match the retrieved user details			
		if(update('Company name','company name',document.businessdetailsform.company.value)==0)
			document.businessdetailsform.company.value	= NOTREQUIRED;

		if(update('Address details','Address line 1',document.businessdetailsform.caddress1.value)==0) 
			document.businessdetailsform.caddress1.value	= NOTREQUIRED;
		else {
			update('Address details','Address line 2',document.businessdetailsform.caddress2.value);
			update('Address details','Address line 3',document.businessdetailsform.caddress3.value);
			update('Address details','Address line 4',document.businessdetailsform.caddress4.value);
		}

		if(update('Address details','Slogan/motto',document.businessdetailsform.cmotto.value)==0)
			document.businessdetailsform.cmotto.value	= NOTREQUIRED;

		if(update('Address details','Telephone number',document.businessdetailsform.cphone.value)==0)
			document.businessdetailsform.cphone.value	= NOTREQUIRED;

		if(update('Address details','Fax number',document.businessdetailsform.cfax.value)==0)
			document.businessdetailsform.cfax.value	= NOTREQUIRED;

		if(update('Address details','[e]E-mail',document.businessdetailsform.cemail.value)==0)
			document.businessdetailsform.cemail.value	= NOTREQUIRED;

		if(update('Address details','[e]Web Site URL',document.businessdetailsform.cwebsite.value)==0)
			document.businessdetailsform.cwebsite.value	= NOTREQUIRED;

		if(update('Address details','Job Title',document.businessdetailsform.cjob.value)==0)
			document.businessdetailsform.cjob.value	= NOTREQUIRED;

		if(update('Address details','Mobile number',document.userdetailsform.mobile.value)==0)
			document.userdetailsform.mobile.value	= NOTREQUIRED;

		return;
	}


	// ================================================================================================================================================

	// FUNCTION	: LoadPersonalDetailsToContainer()
	// DESCRIPTION	:
	// PARAMETERS	: NA
	// RETURN VALUE	:
	// CHANGES	:
	// AUTHOR	: Rob Nicholls

	// ================================================================================================================================================

	function LoadPersonalDetailsToContainer() {

		var Personalinfo				= theApplication.UserHomeDetails;

		// Personal Details
		document.userdetailsform.name.value		= Personalinfo.Name;
		document.userdetailsform.address1.value		= Personalinfo.GetAddressLine(1);
		document.userdetailsform.address2.value		= Personalinfo.GetAddressLine(2);
		document.userdetailsform.address3.value		= Personalinfo.GetAddressLine(3);
		document.userdetailsform.address4.value		= Personalinfo.GetAddressLine(4);
		document.userdetailsform.phone.value		= Personalinfo.Phone;
		document.userdetailsform.fax.value		= Personalinfo.Fax;
		document.userdetailsform.mobile.value		= Personalinfo.Mobile;
		document.userdetailsform.email.value		= Personalinfo.Email;
		document.userdetailsform.website.value		= Personalinfo.Web;

		return;
	}


	function LoadPersonalDetailsToDocument() {

		if(update('Name','Name',document.userdetailsform.name.value)==0)
			document.userdetailsform.name.value	= NOTREQUIRED;

		if(update('Address details','Address line 1',document.userdetailsform.address1.value)==0) 
			document.userdetailsform.address1.value	= NOTREQUIRED;
		else {
			update('Address details','Address line 2',document.userdetailsform.address2.value);
			update('Address details','Address line 3',document.userdetailsform.address3.value);
			update('Address details','Address line 4',document.userdetailsform.address4.value);
		}

		if(update('Address details','Telephone number',document.userdetailsform.phone.value)==0)
			document.userdetailsform.phone.value	= NOTREQUIRED;

		if(update('Address details','Fax number',document.userdetailsform.fax.value)==0)
			document.userdetailsform.fax.value	= NOTREQUIRED;

		if(update('Address details','E-mail',document.userdetailsform.email.value)==0)
			document.userdetailsform.email.value	= NOTREQUIRED;

		if(update('Address details','Web Site URL',document.userdetailsform.website.value)==0)
			document.userdetailsform.website.value	= NOTREQUIRED;

		if(update('Address details','Mobile number',document.userdetailsform.mobile.value)==0)
			document.userdetailsform.mobile.value	= NOTREQUIRED;


		return;
	}

	function LoadPersonalWebDetailsToDocument() {

		if(update('Name','Name',document.userdetailsform.name.value)==0)
			document.userdetailsform.name.value	= NOTREQUIRED;

		if(update('Address details','Address line 1',document.userdetailsform.address1.value)==0) 
			document.userdetailsform.address1.value	= NOTREQUIRED;
		else {
			update('Address details','Address line 2',document.userdetailsform.address2.value);
			update('Address details','Address line 3',document.userdetailsform.address3.value);
			update('Address details','Address line 4',document.userdetailsform.address4.value);
		}

		if(update('Address details','Telephone number',document.userdetailsform.phone.value)==0)
			document.userdetailsform.phone.value	= NOTREQUIRED;

		if(update('Address details','Fax number',document.userdetailsform.fax.value)==0)
			document.userdetailsform.fax.value	= NOTREQUIRED;

		if(update('Address details','[e]E-mail',document.userdetailsform.email.value)==0)
			document.userdetailsform.email.value	= NOTREQUIRED;

		if(update('Address details','[e]Web Site URL',document.userdetailsform.website.value)==0)
			document.userdetailsform.website.value	= NOTREQUIRED;

		if(update('Address details','Mobile number',document.userdetailsform.mobile.value)==0)
			document.userdetailsform.mobile.value	= NOTREQUIRED;


		return;
	}

	// ================================================================================================================================================

	// FUNCTION	: RestoreBusinessDetailsToContainer()
	// DESCRIPTION	: Retrieves powerfield values from the document itself
	// PARAMETERS	: NA
	// RETURN VALUE	: NA
	// CHANGES	: businessdetailsform
	// AUTHOR/DATE	: Rob Nicholls 13:44 26/9/00

	// ================================================================================================================================================

	function RestoreBusinessDetailsToContainer() {

		var StrValue;


		StrValue = RetrievePowerField( "Company name", StrValue);
		if(  StrValue == FIELDNOTFOUND  ) document.businessdetailsform.company.value = NOTREQUIRED;
		else document.businessdetailsform.company.value		= StrValue;

		StrValue = RetrievePowerField( "Address line 1", StrValue);
		if(  StrValue == FIELDNOTFOUND  ) document.businessdetailsform.caddress1.value = NOTREQUIRED;
		else document.businessdetailsform.caddress1.value	= StrValue;

		StrValue = RetrievePowerField( "Address line 2", StrValue);
		if(  StrValue == FIELDNOTFOUND  ) document.businessdetailsform.caddress2.value = NOTREQUIRED;
		else document.businessdetailsform.caddress2.value	= StrValue;

		StrValue = RetrievePowerField( "Address line 3", StrValue);
		if(  StrValue == FIELDNOTFOUND  ) document.businessdetailsform.caddress3.value = NOTREQUIRED;
		else document.businessdetailsform.caddress3.value	= StrValue;

		StrValue = RetrievePowerField( "Address line 4", StrValue);
		if(  StrValue == FIELDNOTFOUND  ) document.businessdetailsform.caddress4.value = NOTREQUIRED;
		else document.businessdetailsform.caddress4.value	= StrValue;

		StrValue = RetrievePowerField( "Slogan/motto", StrValue);
		if(  StrValue == FIELDNOTFOUND  ) document.businessdetailsform.cmotto.value = NOTREQUIRED;
		else document.businessdetailsform.cmotto.value	= StrValue;

		StrValue = RetrievePowerField( "Telephone number", StrValue);
		if(  StrValue == FIELDNOTFOUND  ) document.businessdetailsform.cphone.value = NOTREQUIRED;
		else document.businessdetailsform.cphone.value	= StrValue;

		StrValue = RetrievePowerField( "Fax number", StrValue);
		if(  StrValue == FIELDNOTFOUND  ) document.businessdetailsform.cfax.value = NOTREQUIRED;
		else document.businessdetailsform.cfax.value	= StrValue;

		StrValue = RetrievePowerField( "E-mail", StrValue);
		if(  StrValue == FIELDNOTFOUND  ) document.businessdetailsform.cemail.value = NOTREQUIRED;
		else document.businessdetailsform.cemail.value	= StrValue;

		StrValue = RetrievePowerField( "Web Site URL", StrValue);
		if(  StrValue == FIELDNOTFOUND  ) document.businessdetailsform.cwebsite.value = NOTREQUIRED;
		else document.businessdetailsform.cwebsite.value	= StrValue;

		StrValue = RetrievePowerField( "Job Title", StrValue);
		if(  StrValue == FIELDNOTFOUND  ) document.businessdetailsform.cjob.value = NOTREQUIRED;
		else document.businessdetailsform.cjob.value	= StrValue;

			
		return;

	}


	// ================================================================================================================================================

	// FUNCTION	: RestorePersonalDetailsToContainer()
	// DESCRIPTION	: Retrieves powerfield values from the document itself
	// PARAMETERS	: NA
	// RETURN VALUE	: NA
	// CHANGES	: userdetailsform
	// AUTHOR/DATE	: Rob Nicholls 13:44 26/9/00
	
	// ================================================================================================================================================

	function RestorePersonalDetailsToContainer() {

		var StrValue;

		StrValue = RetrievePowerField( "Mobile number", StrValue);
		if(  StrValue == FIELDNOTFOUND  ) document.userdetailsform.mobile.value = NOTREQUIRED;
		else document.userdetailsform.mobile.value	= StrValue;

		StrValue = RetrievePowerField( "Name", StrValue);
		if(  StrValue == FIELDNOTFOUND  ) document.userdetailsform.name.value = NOTREQUIRED;
		else document.userdetailsform.name.value	= StrValue;

		StrValue = RetrievePowerField( "Address line 1", StrValue);
		if(  StrValue == FIELDNOTFOUND  ) document.userdetailsform.address1.value = NOTREQUIRED;
		else document.userdetailsform.address1.value	= StrValue;

		StrValue = RetrievePowerField( "Address line 2", StrValue);
		if(  StrValue == FIELDNOTFOUND  ) document.userdetailsform.address2.value = NOTREQUIRED;
		else document.userdetailsform.address2.value	= StrValue;

		StrValue = RetrievePowerField( "Address line 3", StrValue);
		if(  StrValue == FIELDNOTFOUND  ) document.userdetailsform.address3.value = NOTREQUIRED;
		else document.userdetailsform.address3.value	= StrValue;

		StrValue = RetrievePowerField( "Address line 4", StrValue);
		if(  StrValue == FIELDNOTFOUND  ) document.userdetailsform.address4.value = NOTREQUIRED;
		else document.userdetailsform.address4.value	= StrValue;

		StrValue = RetrievePowerField( "Telephone number", StrValue);
		if(  StrValue == FIELDNOTFOUND  ) document.userdetailsform.phone.value = NOTREQUIRED;
		else document.userdetailsform.phone.value	= StrValue;

		StrValue = RetrievePowerField( "Fax number", StrValue);
		if(  StrValue == FIELDNOTFOUND  ) document.userdetailsform.fax.value = NOTREQUIRED;
		else document.userdetailsform.fax.value	= StrValue;

		StrValue = RetrievePowerField( "E-mail", StrValue);
		if(  StrValue == FIELDNOTFOUND  ) document.userdetailsform.email.value = NOTREQUIRED;
		else document.userdetailsform.email.value	= StrValue;

		StrValue = RetrievePowerField( "Web Site URL", StrValue);
		if(  StrValue == FIELDNOTFOUND  ) document.userdetailsform.website.value = NOTREQUIRED;
		else document.userdetailsform.website.value	= StrValue;

		StrValue = RetrievePowerField( "Mobile number", StrValue);
		if(  StrValue == FIELDNOTFOUND  ) document.userdetailsform.mobile.value = NOTREQUIRED;
		else document.userdetailsform.mobile.value	= StrValue;


		return;

	}

	// ================================================================================================================================================

	// FUNCTION	: UpdateUserDetails()
	// DESCRIPTION	:
	// PARAMETERS	: NA
	// RETURN VALUE	:
	// CHANGES	:
	// AUTHOR	: Rob Nicholls

	// ================================================================================================================================================

	function UpdateUserDetails() {

		var Businessinfo	= theApplication.UserBusinessDetails;
		var Personalinfo	= theApplication.UserHomeDetails;
		
		if( theApplication.CanUpdateDetails ) {
			// The flag to update the user details from the wizard has been set, so update them from
			// the values the user has entered

			// Business Details			
			if(document.businessdetailsform.company.value != NOTREQUIRED)
				Businessinfo.BusinessName	= document.businessdetailsform.company.value;

			if(document.businessdetailsform.caddress1.value != NOTREQUIRED) {
				Businessinfo.SetAddressLine(1,document.businessdetailsform.caddress1.value);
				Businessinfo.SetAddressLine(2,document.businessdetailsform.caddress2.value);
				Businessinfo.SetAddressLine(3,document.businessdetailsform.caddress3.value);
				Businessinfo.SetAddressLine(4,document.businessdetailsform.caddress4.value);
			}

			if(document.businessdetailsform.cmotto.value != NOTREQUIRED)
				Businessinfo.Motto	= document.businessdetailsform.cmotto.value;			

			if(document.businessdetailsform.cwebsite.value != NOTREQUIRED)
				Businessinfo.Web	= document.businessdetailsform.cwebsite.value;

			if(document.businessdetailsform.cjob.value != NOTREQUIRED)
				Businessinfo.Job	= document.businessdetailsform.cjob.value;

			if(document.businessdetailsform.cphone.value != NOTREQUIRED)
				Businessinfo.Phone	= document.businessdetailsform.cphone.value;

			if(document.businessdetailsform.cfax.value != NOTREQUIRED)
				Businessinfo.Fax	= document.businessdetailsform.cfax.value;

			if(document.businessdetailsform.cemail.value != NOTREQUIRED)
				Businessinfo.Email	= document.businessdetailsform.cemail.value;


			// Personal Details
			if(document.userdetailsform.name.value != NOTREQUIRED) {
				Personalinfo.Name	= document.userdetailsform.name.value;
			}
			if(document.userdetailsform.address1.value != NOTREQUIRED) {
				Personalinfo.SetAddressLine(1,document.userdetailsform.address1.value);
				Personalinfo.SetAddressLine(2,document.userdetailsform.address2.value);
				Personalinfo.SetAddressLine(3,document.userdetailsform.address3.value);
				Personalinfo.SetAddressLine(4,document.userdetailsform.address4.value);
			}
			if(document.userdetailsform.phone.value != NOTREQUIRED)
				Personalinfo.Phone	= document.userdetailsform.phone.value;
			if(document.userdetailsform.fax.value != NOTREQUIRED)
				Personalinfo.Fax	= document.userdetailsform.fax.value;
			if(document.userdetailsform.mobile.value != NOTREQUIRED)
				Personalinfo.Mobile	= document.userdetailsform.mobile.value;
			if(document.userdetailsform.email.value != NOTREQUIRED)
				Personalinfo.Email	= document.userdetailsform.email.value;
			if(document.userdetailsform.website.value != NOTREQUIRED)
				Personalinfo.Web	= document.userdetailsform.website.value;
		
		}
	}

	function PP8_UpdateBusinessDetails() {

		var Businessinfo	= theApplication.UserBusinessDetails;
		var Personalinfo	= theApplication.UserHomeDetails;
		
		if( theApplication.CanUpdateDetails ) {
			// The flag to update the user details from the wizard has been set, so update them from
			// the values the user has entered

			// Business Details			
			if(parent.wizard.document.businessdetailsform.company.value != NOTREQUIRED)
				Businessinfo.BusinessName	= document.userdetailsform.company.value;

			if(parent.wizard.document.businessdetailsform.caddress1.value != NOTREQUIRED) {
				Businessinfo.SetAddressLine(1,document.userdetailsform.address1.value);
				Businessinfo.SetAddressLine(2,document.userdetailsform.address2.value);
				Businessinfo.SetAddressLine(3,document.userdetailsform.address3.value);
				Businessinfo.SetAddressLine(4,document.userdetailsform.address4.value);
			}

			if(parent.wizard.document.businessdetailsform.cmotto.value != NOTREQUIRED)
				Businessinfo.Motto	= document.userdetailsform.motto.value;			

			if(parent.wizard.document.businessdetailsform.cwebsite.value != NOTREQUIRED)
				Businessinfo.Web	= document.userdetailsform.website.value;

			if(parent.wizard.document.businessdetailsform.cjob.value != NOTREQUIRED)
				Businessinfo.Job	= document.userdetailsform.jobtitle.value;

			if(parent.wizard.document.businessdetailsform.cphone.value != NOTREQUIRED)
				Businessinfo.Phone	= document.userdetailsform.phone.value;

			if(parent.wizard.document.businessdetailsform.cfax.value != NOTREQUIRED)
				Businessinfo.Fax	= document.userdetailsform.fax.value;

			if(parent.wizard.document.businessdetailsform.cemail.value != NOTREQUIRED)
				Businessinfo.Email	= document.userdetailsform.email.value;

			if(parent.wizard.document.userdetailsform.mobile.value != NOTREQUIRED)
				Personalinfo.Mobile	= document.userdetailsform.mobile.value;
		}
	}


	function PP8_UpdateUserDetails() {

		var Personalinfo	= theApplication.UserHomeDetails;
		
		if( theApplication.CanUpdateDetails ) {

			// Personal Details
			if(parent.wizard.document.userdetailsform.name.value != NOTREQUIRED) {
				Personalinfo.Name	= document.userdetailsform.name.value;
			}
			if(parent.wizard.document.userdetailsform.address1.value != NOTREQUIRED) {
				Personalinfo.SetAddressLine(1,document.userdetailsform.address1.value);
				Personalinfo.SetAddressLine(2,document.userdetailsform.address2.value);
				Personalinfo.SetAddressLine(3,document.userdetailsform.address3.value);
				Personalinfo.SetAddressLine(4,document.userdetailsform.address4.value);
			}
			if(parent.wizard.document.userdetailsform.phone.value != NOTREQUIRED)
				Personalinfo.Phone	= document.userdetailsform.phone.value;
			if(parent.wizard.document.userdetailsform.fax.value != NOTREQUIRED)
				Personalinfo.Fax	= document.userdetailsform.fax.value;
			if(parent.wizard.document.userdetailsform.mobile.value != NOTREQUIRED)
				Personalinfo.Mobile	= document.userdetailsform.mobile.value;
			if(parent.wizard.document.userdetailsform.email.value != NOTREQUIRED)
				Personalinfo.Email	= document.userdetailsform.email.value;
			if(parent.wizard.document.userdetailsform.website.value != NOTREQUIRED)
				Personalinfo.Web	= document.userdetailsform.website.value;
		
		}
	}




	// ================================================================================================================================================

	// FUNCTION	: update_question_counter()
	// DESCRIPTION	: Updates the question counter and changes the the current question and updates containers.
	// PARAMETERS	: char *action : "-" decrements the counter "+" increments the counter
	// RETURN VALUE	: NA
	// CHANGES	: current_wizard_question
	// AUTHOR	: Rob Nicholls

	// ================================================================================================================================================

	function update_question_counter( action ) {

		//if( current_wizard_question == 0 ) {
		//	update_userdetails();
		//}

		if( action == "+" ) {
			if( current_wizard_question < last_question ) {
				current_wizard_question++;
			}
		}
		else if( action == "-" ) {
			if(current_wizard_question > 0) {
				current_wizard_question--; 
			}
		}
		else {
			current_wizard_question=0;
		}

		change_question();

		return;
	}




// The following code captures the right click menu on the HTML pages.

var message="For help on Serif PagePlus, Please see the Help menu.";

function click(e) { 
	if (document.all) { 
		if (event.button == 2) { 
			alert(message); 
			return false; 
		}
		if (event.button == 3) { 
			alert(message); 
			return false; 
		} 

	} 

	if (document.layers) { 
		if (e.which == 3) { 
			alert(message); 
			return false; 
		} 
	} 
}

if (document.layers) { 
document.captureEvents(Event.MOUSEDOWN);
}
document.onmousedown=click;